//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once

#include "engine.h"

struct SBitmap
{
	int h;
	int w;
	GLuint handle;
};

SBitmap* FindBitmap(const char* filename);

SBitmap* ForceLoadBitmap(const char* filename);
BITMAP* LoadAllegBitmap(const char* filename, int bits = 32);

SBitmap* CreateBitmap(BITMAP* bmp);
SBitmap* CreateBitmap(BITMAP* bmp, const char* filename);

void FreeBitmaps();
